<head>
  <title>multiple Lines</title>
  <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
</head>
<body>
  <div id="myDiv"></div>
  <script>
    var trace1 = {
      x: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11],
      y: [8, 5, 7, 3, 4, 9, 2, 5, 3, 9, 5],
      mode: "lines",
    };

    var trace3 = createMediumAverageTrace(trace1);
    var data = [trace1, trace3];

    var layout = {
      title: "Line and Scatter Plot",
    };

    Plotly.newPlot("myDiv", data, layout);

    function simpleMovingAverage(prices, interval) {
      let index = interval - 1;
      const length = prices.length + 1;
      let results = [];

      while (index < length) {
        index = index + 1;
        const intervalSlice = prices.slice(index - interval, index);
        const sum = intervalSlice.reduce((prev, curr) => prev + curr, 0);
        results.push(sum / interval);
      }

      return results;
    }

    function createMediumAverageTrace(trace) {
      var newYvalues = simpleMovingAverage(trace.y, 5);
      let newTrace = {
        x: trace.x,
        y: newYvalues,
        mode: "lines+markers",
      };
      return newTrace;
    }
  </script>
</body>
